---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: odoo
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: doppler
  target:
    name: odoo-secret
    creationPolicy: Owner
    template:
      engineVersion: v2
      data:
        # App
        HOST: "{{ .POSTGRES_HOST }}"
        PORT: "{{ .POSTGRES_PORT }}"
        USER: "{{ .ODOO_DATABASE_USER }}"
        PASSWORD: "{{ .ODOO_DATABASE_PASS }}"
        # Postgres Init
        INIT_POSTGRES_HOST: "{{ .POSTGRES_HOST }}"
        INIT_POSTGRES_PORT: "{{ .POSTGRES_PORT }}"
        INIT_POSTGRES_DBNAME: "{{ .ODOO_DATABASE_NAME }}"
        INIT_POSTGRES_USER: "{{ .ODOO_DATABASE_USER }}"
        INIT_POSTGRES_PASS: "{{ .ODOO_DATABASE_PASS }}"
        INIT_POSTGRES_SUPER_PASS: "{{ .POSTGRES_SUPER_PASS }}"
  dataFrom:
    - extract:
        key: ODOO
    - extract:
        key: CLOUDNATIVE_PG
